declare module 'react-smart-hooks' {
    import React, { RefObject } from 'react';

    // Type for useWindowSize
    // Type for the window size object
    export interface WindowSize {
        width: number;
        height: number;
    }
    // Type for the useWindowSize hook
    export interface UseWindowSize {
        (): WindowSize;
    }

    // Export width and height from the hook
    const { width, height }: WindowSize;
    export { width, height };

    // Type for useLocalStorage
    // Type for the useLocalStorage hook
    export interface UseLocalStorageProps {
        key: string;
        initialValue: any;
    }
    // Type for the useLocalStorage return value
    export type UseLocalStorageResult = [any, (value: any) => void];
    // Type for the useLocalStorage hook function
    export interface UseLocalStorage {
        (props: UseLocalStorageProps): UseLocalStorageResult;
    }

    // Type for useOutsideClick
    // Type for the useOutsideClick hook
    export interface UseOutsideClickProps {
        refs: RefObject<HTMLElement>[];
        onClick: () => void;
    }
    // Type for the UseOutsideClick return value
    export type UseOutsideClickResult = [any, (value: any) => void];
    // Type for the useOutsideClick hook function
    export interface UseOutsideClick {
        (props: UseOutsideClickProps): UseOutsideClickResult;
    }

    // Export the hook function
    const useWindowSize: UseWindowSize;
    const useLocalStorage: UseLocalStorage;
    const useOutsideClick: UseOutsideClick;

    export { useWindowSize, useLocalStorage, useOutsideClick };
}