"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = require("react");
var useOutsideClick = function (_a) {
    var refs = _a.refs, onClick = _a.onClick;
    (0, react_1.useEffect)(function () {
        var outClickListener = function (event) {
            var isClickedOutside = true;
            refs.forEach(function (ref) {
                if (ref.current && ref.current.contains(event.target)) {
                    isClickedOutside = false;
                }
            });
            if (isClickedOutside) {
                onClick();
            }
        };
        document.addEventListener('mousedown', outClickListener);
        document.addEventListener("touchstart", outClickListener);
        return function () {
            document.removeEventListener('mousedown', outClickListener);
            document.removeEventListener("touchstart", outClickListener);
        };
    }, [refs, onClick]);
};
exports.default = useOutsideClick;
